.calendar-container {
    /*width: 350px;*/
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 12px;
    width:280px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);
    overflow: hidden;
}

#month-year { 
    color: aquamarine; 
}

.calendar-header {
    background-color: #007bff;
    color: white;
    padding:1px;
    text-align: center;
}

.calendar-days {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    background-color: #eee;
    color: #333;
    border: #333;
    text-align: center;
    font-weight: bold;
    padding: 10px 0;
}

.calendar-dates {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 5px;
    padding:12px;
    text-align: center;
}

.calendar-dates span {
  
    color: #333;
    padding: 8px 0;
    cursor: pointer;
    border-radius: 50%;
    transition: background 0.3s;
}

.calendar-dates span:hover:not(.empty) {
    background-color: #e0e0e0;
}

.calendar-dates span.today {
    background-color: #007bff;
    color: white;
    font-weight: bold;
    border: 3px solid #007bff;
}

.calendar-dates span.finde {
    background-color: #F4A8FF;
    color: white;
    font-weight: bold;
}

.empty {
    cursor: default;
}